--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: relationship
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: DataMapper::Associations::OneToOne::Relationship
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: get
- !ruby/object:RI::MethodSummary 
  name: instance_of?
- !ruby/object:RI::MethodSummary 
  name: kind_of?
- !ruby/object:RI::MethodSummary 
  name: respond_to?
- !ruby/object:RI::MethodSummary 
  name: set
name: Relationship
superclass: Associations::Relationship
